Current Position:Home > I have an older iMac OS 10.3.9 using Firefox 2.0.0.6--is there any upgrade I can get that will allow me to load sites like Zazzle?

I have an older iMac OS 10.3.9 using Firefox 2.0.0.6--is there any upgrade I can get that will allow me to load sites like Zazzle?

Update:10-11Source: network consolidation
Advertisement
Whenever I try to access my site on Zazzle I get error messages that say the page is unstable, and I can't access the tools I need to manage my merchandise. I'm assuming it's because of my old browser. Is there any way I can upgrade, or is my Mac just too old? To make things more complicated, I have never been very computer literate, so I often don't understand web responses.

The Best Answer

Advertisement
Other browsers that you can look at:
* http://caminobrowser.org/download/releases/
* [http://en.wikipedia.org/wiki/ICab iCab]: http://www.icab.de/
* http://www.seamonkey-project.org/releases/seamonkey1.1.19